package mhp.oee.po.gen;

import java.util.Date;

public class ReasonCodeRulePO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_rule.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_rule.REASON_CODE_PRIORITY_BO
     *
     * @mbggenerated
     */
    private String reasonCodePriorityBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_rule.RULE
     *
     * @mbggenerated
     */
    private String rule;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_rule.ACTIVITY
     *
     * @mbggenerated
     */
    private String activity;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_rule.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_rule.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_rule.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_rule.HANDLE
     *
     * @return the value of reason_code_rule.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_rule.HANDLE
     *
     * @param handle the value for reason_code_rule.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_rule.REASON_CODE_PRIORITY_BO
     *
     * @return the value of reason_code_rule.REASON_CODE_PRIORITY_BO
     *
     * @mbggenerated
     */
    public String getReasonCodePriorityBo() {
        return reasonCodePriorityBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_rule.REASON_CODE_PRIORITY_BO
     *
     * @param reasonCodePriorityBo the value for reason_code_rule.REASON_CODE_PRIORITY_BO
     *
     * @mbggenerated
     */
    public void setReasonCodePriorityBo(String reasonCodePriorityBo) {
        this.reasonCodePriorityBo = reasonCodePriorityBo == null ? null : reasonCodePriorityBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_rule.RULE
     *
     * @return the value of reason_code_rule.RULE
     *
     * @mbggenerated
     */
    public String getRule() {
        return rule;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_rule.RULE
     *
     * @param rule the value for reason_code_rule.RULE
     *
     * @mbggenerated
     */
    public void setRule(String rule) {
        this.rule = rule == null ? null : rule.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_rule.ACTIVITY
     *
     * @return the value of reason_code_rule.ACTIVITY
     *
     * @mbggenerated
     */
    public String getActivity() {
        return activity;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_rule.ACTIVITY
     *
     * @param activity the value for reason_code_rule.ACTIVITY
     *
     * @mbggenerated
     */
    public void setActivity(String activity) {
        this.activity = activity == null ? null : activity.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_rule.CREATED_DATE_TIME
     *
     * @return the value of reason_code_rule.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_rule.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for reason_code_rule.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_rule.MODIFIED_DATE_TIME
     *
     * @return the value of reason_code_rule.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_rule.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for reason_code_rule.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_rule.MODIFIED_USER
     *
     * @return the value of reason_code_rule.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_rule.MODIFIED_USER
     *
     * @param modifiedUser the value for reason_code_rule.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}